{"openapi":"3.1.0","info":{"title":"Egencia User Sync API","version":"v1.0"},"servers":[{"url":"https://apis.egencia.com/openconnect/api","description":"Generated server url"}],"tags":[{"description":"SCIM 2.0 compliant user sync APIs version 3.","name":"SCIM User Sync V3"},{"description":"SCIM 2.0 compliant user sync APIs version 2.","name":"SCIM User Sync V2"},{"description":"SCIM 2.0 compliant user sync APIs","name":"SCIM User Sync V1"}],"paths":{"/scim/v1/users":{"post":{"operationId":"createUser_2","requestBody":{"content":{"application/scim+json":{"examples":{"Request with all the supported attributes":{"description":"Request with all the supported attributes","value":{"schemas":["urn:ietf:params:scim:schemas:core:2.0:User","urn:ietf:params:scim:schemas:extension:enterprise:2.0:User"],"externalId":"externalSystemIdentifier","userName":"test@example.com","displayName":"Test User","title":"Mr","userType":"NORMAL","name":{"familyName":"User","formatted":"","givenName":"Test","middleName":""},"preferredLanguage":"en","active":true,"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User":{"userAuthenticationMode":"SSO","singleSignOnId":"test@example.com","customDataFields":[{"name":"Primary cost center","value":"Test cost center"}],"dateOfBirth":"1988-01-01","documents":[{"expirationDate":"2030-10-10","issueCountry":"USA","issueDate":"2020-10-10","issueLocation":"city","type":"PAS","value":"ABCDE1234"}],"employeeNumber":"employeeNumberValue","loyaltyPrograms":[{"issuingSupplierCode":"T4","lob":"HOTEL","name":"S-Card","type":"LC","validFrom":"2020-10-10","validTo":"2025-10-10","value":"S12345"}],"organization":"egenciaCompanyId","preferences":[{"lob":"AIR","mealType":"178","preferredDepartureAirport":"","seatType":"Window","specialRequest":"Any special request"},{"lob":"RAIL","seatDirection":"Forward","seatRoom":"Lower","seatSolo":true,"seatType":"Window"},{"lob":"HOTEL","smoking":"Smoking","specialRequest":"Any special request"},{"lob":"CAR","specialRequest":"Any special request"}],"promoMail":true,"serviceLevelIds":["12345"],"approvers":{"level1Approvers":["45678"],"delegateApprovers":["testapprover"]},"arrangers":[{"id":"56789"}],"settings":{"notifications":{"reservationEmail":"validReservationEmailValue"}}},"emails":[{"primary":true,"type":"work","value":"test@example.com"}],"phoneNumbers":[{"primary":true,"type":"work","value":"+44-1234512345"}],"addresses":[{"country":"GB","formatted":"address line 1, cityname, state, GB, XXXXXX","locality":"city name","postalCode":"XXXXX","region":"region or state","streetAddress":"address line 1","type":"work"}],"groups":[{"display":"displayName","value":"travelerGroup"}],"roles":[{"display":"displayName","primary":true,"value":"userRole"}]}},"Request with basic attributes":{"description":"Request with basic attributes","value":{"schemas":["urn:ietf:params:scim:schemas:core:2.0:User","urn:ietf:params:scim:schemas:extension:enterprise:2.0:User"],"userName":"api.sample@egencia.com","title":"1","userType":"NORMAL","name":{"familyName":"Test","givenName":"Sample","middleName":"Api"},"active":true,"emails":[{"primary":true,"type":"work","value":"api.sample@egencia.com"}],"groups":[{"value":"General"}],"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User":{"organization":"12345","dateOfBirth":"1988-01-01","userAuthenticationMode":"SSO","singleSignOnId":"api.sample@egencia.com","customDataFields":[{"name":"Department code","value":"Legal entity value"},{"name":"Reporting field 2","value":"custom value"}]}}},"Request with email settings":{"description":"Request with email settings","value":{"schemas":["urn:ietf:params:scim:schemas:core:2.0:User","urn:ietf:params:scim:schemas:extension:enterprise:2.0:User"],"userName":"api.sample@egencia.com","title":"1","userType":"NORMAL","name":{"familyName":"Test","givenName":"Sample","middleName":"Api"},"active":true,"emails":[{"primary":true,"type":"work","value":"api.sample@egencia.com"}],"groups":[{"value":"General"}],"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User":{"organization":"12345","dateOfBirth":"1988-01-01","userAuthenticationMode":"SSO","singleSignOnId":"api.sample@egencia.com","customDataFields":[{"name":"Department code","value":"Legal entity value"},{"name":"Reporting field 2","value":"custom value"}],"settings":{"notifications":{"reservationEmail":"validReservationEmailValue"}}}}},"Request with phone number":{"description":"Request with phone number","value":{"schemas":["urn:ietf:params:scim:schemas:core:2.0:User","urn:ietf:params:scim:schemas:extension:enterprise:2.0:User"],"userName":"api.sample@egencia.com","title":"1","userType":"NORMAL","name":{"familyName":"Test","givenName":"Sample","middleName":"Api"},"active":true,"emails":[{"primary":true,"type":"work","value":"api.sample@egencia.com"}],"phoneNumbers":[{"primary":true,"type":"MOBILE","value":"+441234512345"},{"type":"WORK","value":"+441234512346"}],"groups":[{"value":"General"}],"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User":{"organization":"12345","dateOfBirth":"1988-01-01","userAuthenticationMode":"SSO","singleSignOnId":"api.sample@egencia.com","customDataFields":[{"name":"Department code","value":"Legal entity value"},{"name":"Reporting field 2","value":"custom value"}]}}},"Request with preferences":{"description":"Request with preferences","value":{"schemas":["urn:ietf:params:scim:schemas:core:2.0:User","urn:ietf:params:scim:schemas:extension:enterprise:2.0:User"],"userName":"api.sample@egencia.com","title":"1","userType":"NORMAL","name":{"familyName":"Test","givenName":"Sample","middleName":"Api"},"active":true,"emails":[{"primary":true,"type":"work","value":"api.sample@egencia.com"}],"groups":[{"value":"General"}],"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User":{"organization":"12345","dateOfBirth":"1988-01-01","userAuthenticationMode":"SSO","singleSignOnId":"api.sample@egencia.com","customDataFields":[{"name":"Department code","value":"Legal entity value"},{"name":"Reporting field 2","value":"custom value"}],"preferences":[{"lob":"AIR","mealType":"178","preferredDepartureAirport":"","seatType":"1","specialRequest":"Any special request"},{"lob":"RAIL","seatDirection":"Forward","seatRoom":"Lower","seatSolo":true,"seatType":"1"},{"lob":"HOTEL","smoking":"Smoking","specialRequest":"Any special request"},{"lob":"CAR","specialRequest":"Any special request"}]}}},"Request with preferences and documents":{"description":"Request with preferences and documents","value":{"schemas":["urn:ietf:params:scim:schemas:core:2.0:User","urn:ietf:params:scim:schemas:extension:enterprise:2.0:User"],"userName":"api.sample@egencia.com","title":"1","userType":"NORMAL","name":{"familyName":"Test","givenName":"Sample","middleName":"Api"},"active":true,"emails":[{"primary":true,"type":"work","value":"api.sample@egencia.com"}],"groups":[{"value":"General"}],"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User":{"organization":"12345","dateOfBirth":"1988-01-01","userAuthenticationMode":"SSO","singleSignOnId":"api.sample@egencia.com","customDataFields":[{"name":"Department code","value":"Legal entity value"},{"name":"Reporting field 2","value":"custom value"}],"preferences":[{"lob":"AIR","mealType":"178","preferredDepartureAirport":"","seatType":"Window","specialRequest":"Any special request"},{"lob":"RAIL","seatDirection":"Forward","seatRoom":"Lower","seatSolo":true,"seatType":"Window"},{"lob":"HOTEL","smoking":"Smoking","specialRequest":"Any special request"},{"lob":"CAR","specialRequest":"Any special request"}],"documents":[{"expirationDate":"2030-10-10","issueCountry":"USA","issueDate":"2020-10-10","issueLocation":"city","type":"PAS","value":"ABCDE1234"}]}}},"Request with preferences and loyalty program":{"description":"Request with preferences and loyalty program","value":{"schemas":["urn:ietf:params:scim:schemas:core:2.0:User","urn:ietf:params:scim:schemas:extension:enterprise:2.0:User"],"userName":"api.sample@egencia.com","title":"1","userType":"NORMAL","name":{"familyName":"Test","givenName":"Sample","middleName":"Api"},"active":true,"emails":[{"primary":true,"type":"work","value":"api.sample@egencia.com"}],"groups":[{"value":"General"}],"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User":{"organization":"12345","dateOfBirth":"1988-01-01","userAuthenticationMode":"SSO","singleSignOnId":"api.sample@egencia.com","customDataFields":[{"name":"Department code","value":"Legal entity value"},{"name":"Reporting field 2","value":"custom value"}],"preferences":[{"lob":"AIR","mealType":"178","preferredDepartureAirport":"","seatType":"1","specialRequest":"Any special request"},{"lob":"RAIL","seatDirection":"Forward","seatRoom":"Lower","seatSolo":true,"seatType":"Window"},{"lob":"HOTEL","smoking":"Smoking","specialRequest":"Any special request"},{"lob":"CAR","specialRequest":"Any special request"}],"loyaltyPrograms":[{"issuingSupplierCode":"T4","lob":"HOTEL","name":"S-Card","type":"LC","validFrom":"2020-10-10","validTo":"2025-10-10","value":"S12345"}]}}},"Request with roles and approvers":{"description":"Request with roles and approvers","value":{"schemas":["urn:ietf:params:scim:schemas:core:2.0:User","urn:ietf:params:scim:schemas:extension:enterprise:2.0:User"],"userName":"api.sample@egencia.com","title":"1","userType":"NORMAL","name":{"familyName":"Test","givenName":"Sample","middleName":"Api"},"active":true,"emails":[{"primary":true,"type":"work","value":"api.sample@egencia.com"}],"groups":[{"value":"General"}],"roles":[{"display":"Self Booker","value":"SELF_BOOKER"},{"display":"Arranger","value":"ARRANGER"}],"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User":{"organization":"12345","dateOfBirth":"1988-01-01","userAuthenticationMode":"SSO","singleSignOnId":"api.sample@egencia.com","customDataFields":[{"name":"Department code","value":"Legal entity value"},{"name":"Reporting field 2","value":"custom value"}],"approvers":{"level1Approvers":["approverone@egencia.com"],"level2Approvers":["approvertwo@egencia.com"]}}}}},"schema":{"$ref":"#/components/schemas/UserSchema"}}},"description":"User Schema to be created","required":true},"responses":{"200":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:schemas:core:2.0:User","urn:ietf:params:scim:schemas:extension:enterprise:2.0:User"],"id":"egenciaUniqueIdentifier","externalId":"externalSystemIdentifier","userName":"test@example.com","displayName":"Test User","title":"Mr","userType":"NORMAL","name":{"familyName":"User","givenName":"Test","middleName":"","formatted":""},"preferredLanguage":"en","active":true,"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User":{"organization":"egenciaCompanyId","employeeNumber":"employeeNumberValue","dateOfBirth":"1988-01-01","customDataFields":[{"name":"Primary cost center","value":"Test cost center"}],"documents":[{"expirationDate":"2030-10-10","issueCountry":"USA","issueDate":"2020-10-10","issueLocation":"city","type":"PAS","value":"ABCDE1234"}],"loyaltyPrograms":[{"issuingSupplierCode":"T4","lob":"HOTEL","name":"S-Card","type":"LC","validFrom":"2020-10-10","validTo":"2025-10-10","value":"S12345"}],"preferences":[{"lob":"AIR","mealType":"178","preferredDepartureAirport":"","seatType":"Window","specialRequest":"Any special request"},{"lob":"RAIL","seatDirection":"Forward","seatRoom":"Lower","seatSolo":true,"seatType":"Window"},{"lob":"HOTEL","smoking":"Smoking","specialRequest":"Any special request"},{"lob":"CAR","specialRequest":"Any special request"}],"settings":{"notifications":{"reservationEmail":"validReservationEmailValue"}},"serviceLevelIds":["12345"],"approvers":{"level1Approvers":["45678"],"delegateApprovers":["testapprover"]},"arrangers":[{"id":"56789"}],"promoMail":true},"emails":[{"type":"work","value":"test@example.com","primary":true}],"phoneNumbers":[{"type":"work","value":"+44-1234512345","primary":true}],"addresses":[{"type":"work","streetAddress":"address line 1","locality":"city name","region":"region or state","country":"GB","postalCode":"XXXXX","formatted":"address line 1, cityname, state, GB, XXXXXX"}],"groups":[{"value":"travelerGroup","display":"displayName"}],"roles":[{"value":"userRole","display":"displayName","primary":true}],"meta":{"created":"2017-10-10T00:00:00.000Z","last_modified":"2017-10-10T00:00:00.000Z","location":"/scim/v1/users/123"}}}},"description":"<b>Created</b>."},"400":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"Invalid parameters","status":"400"}}},"description":"<b>Bad Request</b> : Invalid input or request"},"401":{"content":{"application/scim+json":{"example":{"error":{"code":"EGE-ER-4001","message":"Unauthorised access, you do not have sufficient permissions to perform this action."}}}},"description":"<b>Unauthorized</b> : <i>Authentication token</i> empty, invalid or expired."},"403":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"Unauthorised access, you do not have sufficient permissions to perform this action. Contact your admin.","status":"403"}}},"description":"<b>Forbidden</b> : User not Validated for operation."},"422":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"Invalid or missing parameters encountered, we are unable to process your request.","status":"422","data":[{"attribute":"userName","message":"userName needs to be specified and cannot be empty or null"}]}}},"description":"<b>Invalid input</b> : Invalid or missing required input."},"500":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"Your request could not be completed due to some error. Please try again later.","status":"500","data":[{"attribute":"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User.loyaltyPrograms","message":"Error occurred while processing loyalty program associations."}]}}},"description":"<b>Internal Server Error</b> : Unable to process request."},"503":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"We are unable to process your request right now. Please try again later.","status":"503","data":[]}}},"description":"<b>Service unavailable</b> : Unable to process request at the moment."}},"security":[{"OAuth2":[]}],"summary":"Create a new user in the system with the requested information.","tags":["SCIM User Sync V1"]}},"/scim/v1/users/search":{"post":{"operationId":"getUserByCondition","requestBody":{"content":{"application/scim+json":{"examples":{"Search Users By Email":{"description":"Replace {email} with valid email value and {organizationId} with valid organization Id.","value":{"filter":"emails[value eq \"{email}\"] and urn:ietf:params:scim:schemas:extension:enterprise:2.0:User[organization eq {organizationId}]"}},"Search Users By Name":{"description":"Replace {givenName} with valid given name value, {familyName} with valid family name value and {organizationId} with valid organization Id.","value":{"filter":"name[givenName eq \"{givenName}\" and familyName eq \"{familyName}\"] and urn:ietf:params:scim:schemas:extension:enterprise:2.0:User[organization eq {organizationId}]"}},"Search Users By SSO":{"description":"Replace {singleSignOnId} with valid singleSignOnId value and {organizationId} with valid organization Id.","value":{"filter":"singleSignOnId eq \"{singleSignOnId}\" and urn:ietf:params:scim:schemas:extension:enterprise:2.0:User[organization eq {organizationId}]"}},"Search Users By Username":{"description":"Replace {userName} with valid userName value and {organizationId} with valid organization Id.","value":{"filter":"userName eq \"{userName}\" and urn:ietf:params:scim:schemas:extension:enterprise:2.0:User[organization eq {organizationId}]"}}},"schema":{"$ref":"#/components/schemas/SearchRequest"}}},"description":"User Schema to be updated","required":true},"responses":{"200":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:schemas:core:2.0:User","urn:ietf:params:scim:schemas:extension:enterprise:2.0:User"],"externalId":"externalSystemIdentifier","userName":"test@example.com","displayName":"Test User","title":"Mr","userType":"NORMAL","name":{"familyName":"User","formatted":"","givenName":"Test","middleName":""},"preferredLanguage":"en","active":true,"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User":{"userAuthenticationMode":"SSO","customDataFields":[{"name":"Primary cost center","value":"Test cost center"}],"dateOfBirth":"1988-01-01","documents":[{"expirationDate":"2030-10-10","issueCountry":"USA","issueDate":"2020-10-10","issueLocation":"city","type":"PAS","value":"ABCDE1234"}],"employeeNumber":"employeeNumberValue","loyaltyPrograms":[{"issuingSupplierCode":"T4","lob":"HOTEL","name":"S-Card","type":"LC","validFrom":"2020-10-10","validTo":"2025-10-10","value":"S12345"}],"organization":"egenciaCompanyId","preferences":[{"lob":"AIR","mealType":"178","preferredDepartureAirport":"","seatType":"1","specialRequest":"Any special request"},{"lob":"RAIL","seatDirection":"Forward","seatRoom":"Lower","seatSolo":true,"seatType":"1"},{"lob":"HOTEL","smoking":"Smoking","specialRequest":"Any special request"},{"lob":"CAR","specialRequest":"Any special request"}],"settings":{"notifications":{"reservationEmail":"validReservationEmailValue"}},"promoMail":true,"serviceLevelIds":["12345"],"approvers":{"level1Approvers":["45678"],"delegateApprovers":["testapprover"]},"arrangers":[{"id":"56789"}]},"emails":[{"primary":true,"type":"WORK","value":"test@example.com"}],"phoneNumbers":[{"primary":true,"type":"WORK","value":"+44-1234512345"}],"addresses":[{"country":"GB","formatted":"address line 1, cityname, state, GB, XXXXXX","locality":"city name","postalCode":"XXXXX","region":"region or state","streetAddress":"address line 1","type":"WORK"}],"groups":[{"display":"displayName","value":"travelerGroup"}],"roles":[{"display":"Self Booker","primary":true,"value":"Self Booker"}]}}},"description":"<b>Search api success</b>."},"400":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"Invalid parameters","status":"400"}}},"description":"<b>Bad Request</b> : Invalid input or request"},"401":{"content":{"application/scim+json":{"example":{"error":{"code":"EGE-ER-4001","message":"Unauthorised access, you do not have sufficient permissions to perform this action."}}}},"description":"<b>Unauthorized</b> : <i>Authentication token</i> empty, invalid or expired."},"403":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"Unauthorised access, you do not have sufficient permissions to perform this action. Contact your admin.","status":"403"}}},"description":"<b>Forbidden</b> : User not Validated for operation."},"422":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"Invalid or missing parameters encountered, we are unable to process your request.","status":"422","data":[{"attribute":"userName","message":"userName needs to be specified and cannot be empty or null"}]}}},"description":"<b>Invalid input</b> : Invalid or missing required input."},"500":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"Your request could not be completed due to some error. Please try again later.","status":"500","data":[{"attribute":"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User.loyaltyPrograms","message":"Error occurred while processing loyalty program associations."}]}}},"description":"<b>Internal Server Error</b> : Unable to process request."},"503":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"We are unable to process your request right now. Please try again later.","status":"503","data":[]}}},"description":"<b>Service unavailable</b> : Unable to process request at the moment."}},"security":[{"OAuth2":[]}],"summary":"Return list of users based on the filter condition.","tags":["SCIM User Sync V1"]}},"/scim/v1/users/{userId}":{"delete":{"description":"<p>Delete the user with the given user Id in the path</p>\n<p><b>Examples:</b></p>\n<p>Replace {baseUrl} with the actual value of Egencia APIs host. Please refer Base Urls section under API Overview page of Egencia Developer Center.</p>\n<p>Deleting a user with user Id : test_user_id</p>\n<pre>\n    <code>\n        DELETE {baseUrl}/openconnect/api/scim/v1/users/test_user_id\n        <b>Response:</b>\n            -> 204 No Content\n   </code>\n</pre>","operationId":"deleteUserUser_2","parameters":[{"description":"User Id of the user who is to be deleted","in":"path","name":"userId","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"<b>No Content</b>."},"401":{"content":{"*/*":{"example":{"error":{"code":"EGE-ER-4001","message":"Unauthorised access, you do not have sufficient permissions to perform this action."}}}},"description":"<b>Unauthorized</b> : <i>Authentication token</i> empty, invalid or expired."},"403":{"content":{"*/*":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"Unauthorised access, you do not have sufficient permissions to perform this action. Contact your admin.","status":"403"}}},"description":"<b>Forbidden</b> : User not Validated for operation."},"404":{"content":{"*/*":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"User not found, you are trying to access an invalid or non existent user.","status":"404","data":[{"attribute":"id","message":"Requested user identifier is invalid."}]}}},"description":"<b>Not Found</b> : Resource Not Found."},"422":{"content":{"*/*":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"Invalid or missing parameters encountered, we are unable to process your request.","status":"422","data":[{"attribute":"userName","message":"userName needs to be specified and cannot be empty or null"}]}}},"description":"<b>Invalid input</b> : Invalid or missing required input."},"500":{"content":{"*/*":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"Your request could not be completed due to some error. Please try again later.","status":"500","data":[{"attribute":"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User.loyaltyPrograms","message":"Error occurred while processing loyalty program associations."}]}}},"description":"<b>Internal Server Error</b> : Unable to process request."},"503":{"content":{"*/*":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"We are unable to process your request right now. Please try again later.","status":"503","data":[]}}},"description":"<b>Service unavailable</b> : Unable to process request at the moment."}},"security":[{"OAuth2":[]}],"summary":"Delete the user in the system with the given user Id.","tags":["SCIM User Sync V1"]},"get":{"operationId":"getUser_2","parameters":[{"in":"path","name":"userId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:schemas:core:2.0:User","urn:ietf:params:scim:schemas:extension:enterprise:2.0:User"],"externalId":"externalSystemIdentifier","userName":"test@example.com","displayName":"Test User","title":"Mr","userType":"NORMAL","name":{"familyName":"User","formatted":"","givenName":"Test","middleName":""},"preferredLanguage":"en","active":true,"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User":{"userAuthenticationMode":"SSO","customDataFields":[{"name":"Primary cost center","value":"Test cost center"}],"dateOfBirth":"1988-01-01","documents":[{"expirationDate":"2030-10-10","issueCountry":"USA","issueDate":"2020-10-10","issueLocation":"city","type":"PAS","value":"ABCDE1234"}],"employeeNumber":"employeeNumberValue","loyaltyPrograms":[{"issuingSupplierCode":"T4","lob":"HOTEL","name":"S-Card","type":"LC","validFrom":"2020-10-10","validTo":"2025-10-10","value":"S12345"}],"organization":"egenciaCompanyId","preferences":[{"lob":"AIR","mealType":"178","preferredDepartureAirport":"","seatType":"1","specialRequest":"Any special request"},{"lob":"RAIL","seatDirection":"Forward","seatRoom":"Lower","seatSolo":true,"seatType":"1"},{"lob":"HOTEL","smoking":"Smoking","specialRequest":"Any special request"},{"lob":"CAR","specialRequest":"Any special request"}],"settings":{"notifications":{"reservationEmail":"validReservationEmailValue"}},"promoMail":true,"serviceLevelIds":["12345"],"approvers":{"level1Approvers":["45678"],"delegateApprovers":["testapprover"]},"arrangers":[{"id":"56789"}]},"emails":[{"primary":true,"type":"WORK","value":"test@example.com"}],"phoneNumbers":[{"primary":true,"type":"WORK","value":"+44-1234512345"}],"addresses":[{"country":"GB","formatted":"address line 1, cityname, state, GB, XXXXXX","locality":"city name","postalCode":"XXXXX","region":"region or state","streetAddress":"address line 1","type":"WORK"}],"groups":[{"display":"displayName","value":"travelerGroup"}],"roles":[{"display":"Self Booker","primary":true,"value":"Self Booker"}]}}},"description":"<b>Found</b>."},"400":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"Invalid parameters","status":"400"}}},"description":"<b>Bad Request</b> : Invalid input or request"},"401":{"content":{"application/scim+json":{"example":{"error":{"code":"EGE-ER-4001","message":"Unauthorised access, you do not have sufficient permissions to perform this action."}}}},"description":"<b>Unauthorized</b> : <i>Authentication token</i> empty, invalid or expired."},"403":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"Unauthorised access, you do not have sufficient permissions to perform this action. Contact your admin.","status":"403"}}},"description":"<b>Forbidden</b> : User not Validated for operation."},"404":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"User not found, you are trying to access an invalid or non existent user.","status":"404","data":[{"attribute":"id","message":"Requested user identifier is invalid."}]}}},"description":"<b>Not Found</b> : Resource Not Found."},"422":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"Invalid or missing parameters encountered, we are unable to process your request.","status":"422","data":[{"attribute":"userName","message":"userName needs to be specified and cannot be empty or null"}]}}},"description":"<b>Invalid input</b> : Invalid or missing required input."},"500":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"Your request could not be completed due to some error. Please try again later.","status":"500","data":[{"attribute":"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User.loyaltyPrograms","message":"Error occurred while processing loyalty program associations."}]}}},"description":"<b>Internal Server Error</b> : Unable to process request."},"503":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"We are unable to process your request right now. Please try again later.","status":"503","data":[]}}},"description":"<b>Service unavailable</b> : Unable to process request at the moment."}},"security":[{"OAuth2":[]}],"summary":"Retrieves the user details for a requested user identifier.","tags":["SCIM User Sync V1"]},"patch":{"operationId":"patchUser_2","parameters":[{"in":"path","name":"userId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/scim+json":{"examples":{"Request to add a new arranger to the existing arrangers":{"description":"Request to add a new arranger to the existing arrangers","value":{"schemas":["urn:ietf:params:scim:api:messages:2.0:PatchOp"],"Operations":[{"op":"add","path":"urn:ietf:params:scim:schemas:extension:egencia:2.0:User:arrangers","value":[{"id":"id","userName":"api.sample@egencia.com"}]}]}},"Request to add a new custom data field to the existing custom data field list:":{"description":"Request to add a new custom data field to the existing custom data field list:","value":{"schemas":["urn:ietf:params:scim:api:messages:2.0:PatchOp"],"Operations":[{"op":"add","path":"urn:ietf:params:scim:schemas:extension:egencia:2.0:User:customDataFields","value":[{"name":"CDF label","value":"CDF value"}]}]}},"Request to add a new level 1 approver to the existing level1Approvers list":{"description":"Request to add a new level 1 approver to the existing level1Approvers list","value":{"schemas":["urn:ietf:params:scim:api:messages:2.0:PatchOp"],"Operations":[{"op":"add","path":"urn:ietf:params:scim:schemas:extension:egencia:2.0:User:approvers.level1Approvers","value":[{"userName":"api.sample@egencia.com"}]}]}},"Request to add a new level 1 as well as level 2 approver to the existing level1Approvers and level2Approvers list":{"description":"Request to add a new level 1 as well as level 2 approver to the existing level1Approvers and level2Approvers list","value":{"schemas":["urn:ietf:params:scim:api:messages:2.0:PatchOp"],"Operations":[{"op":"add","value":{"urn:ietf:params:scim:schemas:extension:egencia:2.0:User":{"approvers":{"level1Approvers":[{"id":"id"}],"level2Approvers":[{"userName":"api.sample@egencia.com"}]}}}}]}},"Request to add a new role to the existing roles":{"description":"Request to add a new role to the existing roles","value":{"schemas":["urn:ietf:params:scim:api:messages:2.0:PatchOp"],"Operations":[{"op":"add","path":"roles","value":["ARRANGER"]}]}},"Request to add/update first name, last name and date of birth":{"description":"Request to add/update first name, last name and date of birth","value":{"schemas":["urn:ietf:params:scim:api:messages:2.0:PatchOp"],"Operations":[{"op":"add","value":{"name":{"givenName":"First Name","familyName":"Last Name"},"urn:ietf:params:scim:schemas:extension:egencia:2.0:User":{"dateOfBirth":"1988-01-26"}}}]}},"Request to add/update status of user":{"description":"Request to add/update status of user","value":{"schemas":["urn:ietf:params:scim:api:messages:2.0:PatchOp"],"Operations":[{"op":"replace","value":{"active":false}}]}},"Request to replace traveler group with a new one.":{"description":"Request to replace traveler group with a new one.","value":{"schemas":["urn:ietf:params:scim:api:messages:2.0:PatchOp"],"Operations":[{"op":"replace","path":"groups","value":[{"value":"General"}]}]}},"Request to update WORK type email, username, ssoId, authentication mode":{"description":"Request to update WORK type email, username, ssoId, authentication mode","value":{"schemas":["urn:ietf:params:scim:api:messages:2.0:PatchOp"],"Operations":[{"op":"replace","path":"emails[type eq \"WORK\"].value","value":"api.sample@egencia.com"},{"op":"add","value":{"userName":"api.sample@egencia.com","urn:ietf:params:scim:schemas:extension:egencia:2.0:User":{"singleSignOnId":"api.sample@egencia.com","userAuthenticationMode":"SSO"}}}]}},"Request with multiple patch operations":{"description":"Request with multiple patch operations","value":{"schemas":["urn:ietf:params:scim:api:messages:2.0:PatchOp"],"Operations":[{"op":"add","path":"urn:ietf:params:scim:schemas:extension:egencia:2.0:User:customDataFields","value":[{"name":"ff test","value":"ff test value"},{"name":"Test CDF","value":"Test CDF"}]},{"op":"add","path":"urn:ietf:params:scim:schemas:extension:egencia:2.0:User:companyId","value":"23"},{"op":"add","value":{"userName":"abcd","name":{"givenName":"Abcd"},"urn:ietf:params:scim:schemas:extension:egencia:2.0:User":{"companyId":"23"}}},{"op":"replace","path":"addresses[type eq \"HOME\"].streetAddress","value":"1010 Broadway Ave"},{"op":"replace","path":"addresses[type eq \"HOME\"]","value":{"streetAddress":"911 Universal City Plaza","locality":"Hollywood","region":"CA","postalCode":"91608","country":"USA","formatted":"911 Universal City Plaza\nHollywood, CA 91608 US"}},{"op":"replace","value":{"emails":[{"value":"test@example.com","type":"WORK","primary":true}]}},{"op":"replace","value":{"phoneNumbers":[{"value":"+91-9999999999","type":"HOME","primary":true}]}},{"op":"add","path":"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User:employeeNumber","value":"11111"}]}}},"schema":{"$ref":"#/components/schemas/ScimPatchSchema"}}},"description":"SCIM compliant patch operation schema","required":true},"responses":{"200":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:schemas:core:2.0:User","urn:ietf:params:scim:schemas:extension:enterprise:2.0:User"],"externalId":"externalSystemIdentifier","userName":"test@example.com","displayName":"Test User","title":"Mr","userType":"NORMAL","name":{"familyName":"User","formatted":"","givenName":"Test","middleName":""},"preferredLanguage":"en","active":true,"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User":{"userAuthenticationMode":"SSO","customDataFields":[{"name":"Primary cost center","value":"Test cost center"}],"dateOfBirth":"1988-01-01","documents":[{"expirationDate":"2030-10-10","issueCountry":"USA","issueDate":"2020-10-10","issueLocation":"city","type":"PAS","value":"ABCDE1234"}],"employeeNumber":"employeeNumberValue","loyaltyPrograms":[{"issuingSupplierCode":"T4","lob":"HOTEL","name":"S-Card","type":"LC","validFrom":"2020-10-10","validTo":"2025-10-10","value":"S12345"}],"organization":"egenciaCompanyId","preferences":[{"lob":"AIR","mealType":"178","preferredDepartureAirport":"","seatType":"1","specialRequest":"Any special request"},{"lob":"RAIL","seatDirection":"Forward","seatRoom":"Lower","seatSolo":true,"seatType":"1"},{"lob":"HOTEL","smoking":"Smoking","specialRequest":"Any special request"},{"lob":"CAR","specialRequest":"Any special request"}],"settings":{"notifications":{"reservationEmail":"validReservationEmailValue"}},"promoMail":true,"serviceLevelIds":["12345"],"approvers":{"level1Approvers":["45678"],"delegateApprovers":["testapprover"]},"arrangers":[{"id":"56789"}]},"emails":[{"primary":true,"type":"WORK","value":"test@example.com"}],"phoneNumbers":[{"primary":true,"type":"WORK","value":"+44-1234512345"}],"addresses":[{"country":"GB","formatted":"address line 1, cityname, state, GB, XXXXXX","locality":"city name","postalCode":"XXXXX","region":"region or state","streetAddress":"address line 1","type":"WORK"}],"groups":[{"display":"displayName","value":"travelerGroup"}],"roles":[{"display":"Self Booker","primary":true,"value":"Self Booker"}]}}},"description":"<b>Patch api success</b>"},"401":{"content":{"application/scim+json":{"example":{"error":{"code":"EGE-ER-4001","message":"Unauthorised access, you do not have sufficient permissions to perform this action."}}}},"description":"<b>Unauthorized</b> : <i>Authentication token</i> empty, invalid or expired."},"403":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"Unauthorised access, you do not have sufficient permissions to perform this action. Contact your admin.","status":"403"}}},"description":"<b>Forbidden</b> : User not Validated for operation."},"404":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"User not found, you are trying to access an invalid or non existent user.","status":"404","data":[{"attribute":"id","message":"Requested user identifier is invalid."}]}}},"description":"<b>Not Found</b> : Resource Not Found."},"422":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"Invalid or missing parameters encountered, we are unable to process your request.","status":"422","data":[{"attribute":"userName","message":"userName needs to be specified and cannot be empty or null"}]}}},"description":"<b>Invalid input</b> : Invalid or missing required input."},"500":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"Your request could not be completed due to some error. Please try again later.","status":"500","data":[{"attribute":"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User.loyaltyPrograms","message":"Error occurred while processing loyalty program associations."}]}}},"description":"<b>Internal Server Error</b> : Unable to process request."},"503":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"We are unable to process your request right now. Please try again later.","status":"503","data":[]}}},"description":"<b>Service unavailable</b> : Unable to process request at the moment."}},"security":[{"OAuth2":[]}],"summary":"Perform patch operation on the user with the given user Id.","tags":["SCIM User Sync V1"]},"put":{"operationId":"updateUser_2","parameters":[{"in":"path","name":"userId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/scim+json":{"examples":{"Request with all the supported attributes":{"description":"Request with all the supported attributes","value":{"schemas":["urn:ietf:params:scim:schemas:core:2.0:User","urn:ietf:params:scim:schemas:extension:enterprise:2.0:User"],"externalId":"externalSystemIdentifier","userName":"test@example.com","displayName":"Test User","title":"Mr","userType":"NORMAL","name":{"familyName":"User","formatted":"","givenName":"Test","middleName":""},"preferredLanguage":"en","active":true,"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User":{"userAuthenticationMode":"SSO","singleSignOnId":"test@example.com","customDataFields":[{"name":"Primary cost center","value":"Test cost center"}],"dateOfBirth":"1988-01-01","documents":[{"expirationDate":"2030-10-10","issueCountry":"USA","issueDate":"2020-10-10","issueLocation":"city","type":"PAS","value":"ABCDE1234"}],"employeeNumber":"employeeNumberValue","loyaltyPrograms":[{"issuingSupplierCode":"T4","lob":"HOTEL","name":"S-Card","type":"LC","validFrom":"2020-10-10","validTo":"2025-10-10","value":"S12345"}],"organization":"egenciaCompanyId","preferences":[{"lob":"AIR","mealType":"178","preferredDepartureAirport":"","seatType":"Window","specialRequest":"Any special request"},{"lob":"RAIL","seatDirection":"Forward","seatRoom":"Lower","seatSolo":true,"seatType":"Window"},{"lob":"HOTEL","smoking":"Smoking","specialRequest":"Any special request"},{"lob":"CAR","specialRequest":"Any special request"}],"promoMail":true,"serviceLevelIds":["12345"],"approvers":{"level1Approvers":["45678"],"delegateApprovers":["testapprover"]},"arrangers":[{"id":"56789"}],"settings":{"notifications":{"reservationEmail":"validReservationEmailValue"}}},"emails":[{"primary":true,"type":"work","value":"test@example.com"}],"phoneNumbers":[{"primary":true,"type":"work","value":"+44-1234512345"}],"addresses":[{"country":"GB","formatted":"address line 1, cityname, state, GB, XXXXXX","locality":"city name","postalCode":"XXXXX","region":"region or state","streetAddress":"address line 1","type":"work"}],"groups":[{"display":"displayName","value":"travelerGroup"}],"roles":[{"display":"displayName","primary":true,"value":"userRole"}]}},"Request with basic attributes":{"description":"Request with basic attributes","value":{"schemas":["urn:ietf:params:scim:schemas:core:2.0:User","urn:ietf:params:scim:schemas:extension:enterprise:2.0:User"],"userName":"api.sample@egencia.com","title":"1","userType":"NORMAL","name":{"familyName":"Test","givenName":"Sample","middleName":"Api"},"active":true,"emails":[{"primary":true,"type":"work","value":"api.sample@egencia.com"}],"groups":[{"value":"General"}],"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User":{"organization":"12345","dateOfBirth":"1988-01-01","userAuthenticationMode":"SSO","singleSignOnId":"api.sample@egencia.com","customDataFields":[{"name":"Department code","value":"Legal entity value"},{"name":"Reporting field 2","value":"custom value"}]}}},"Request with email settings":{"description":"Request with email settings","value":{"schemas":["urn:ietf:params:scim:schemas:core:2.0:User","urn:ietf:params:scim:schemas:extension:enterprise:2.0:User"],"userName":"api.sample@egencia.com","title":"1","userType":"NORMAL","name":{"familyName":"Test","givenName":"Sample","middleName":"Api"},"active":true,"emails":[{"primary":true,"type":"work","value":"api.sample@egencia.com"}],"groups":[{"value":"General"}],"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User":{"organization":"12345","dateOfBirth":"1988-01-01","userAuthenticationMode":"SSO","singleSignOnId":"api.sample@egencia.com","customDataFields":[{"name":"Department code","value":"Legal entity value"},{"name":"Reporting field 2","value":"custom value"}],"settings":{"notifications":{"reservationEmail":"validReservationEmailValue"}}}}},"Request with phone number":{"description":"Request with phone number","value":{"schemas":["urn:ietf:params:scim:schemas:core:2.0:User","urn:ietf:params:scim:schemas:extension:enterprise:2.0:User"],"userName":"api.sample@egencia.com","title":"1","userType":"NORMAL","name":{"familyName":"Test","givenName":"Sample","middleName":"Api"},"active":true,"emails":[{"primary":true,"type":"work","value":"api.sample@egencia.com"}],"phoneNumbers":[{"primary":true,"type":"MOBILE","value":"+441234512345"},{"type":"WORK","value":"+441234512346"}],"groups":[{"value":"General"}],"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User":{"organization":"12345","dateOfBirth":"1988-01-01","userAuthenticationMode":"SSO","singleSignOnId":"api.sample@egencia.com","customDataFields":[{"name":"Department code","value":"Legal entity value"},{"name":"Reporting field 2","value":"custom value"}]}}},"Request with preferences":{"description":"Request with preferences","value":{"schemas":["urn:ietf:params:scim:schemas:core:2.0:User","urn:ietf:params:scim:schemas:extension:enterprise:2.0:User"],"userName":"api.sample@egencia.com","title":"1","userType":"NORMAL","name":{"familyName":"Test","givenName":"Sample","middleName":"Api"},"active":true,"emails":[{"primary":true,"type":"work","value":"api.sample@egencia.com"}],"groups":[{"value":"General"}],"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User":{"organization":"12345","dateOfBirth":"1988-01-01","userAuthenticationMode":"SSO","singleSignOnId":"api.sample@egencia.com","customDataFields":[{"name":"Department code","value":"Legal entity value"},{"name":"Reporting field 2","value":"custom value"}],"preferences":[{"lob":"AIR","mealType":"178","preferredDepartureAirport":"","seatType":"1","specialRequest":"Any special request"},{"lob":"RAIL","seatDirection":"Forward","seatRoom":"Lower","seatSolo":true,"seatType":"1"},{"lob":"HOTEL","smoking":"Smoking","specialRequest":"Any special request"},{"lob":"CAR","specialRequest":"Any special request"}]}}},"Request with preferences and documents":{"description":"Request with preferences and documents","value":{"schemas":["urn:ietf:params:scim:schemas:core:2.0:User","urn:ietf:params:scim:schemas:extension:enterprise:2.0:User"],"userName":"api.sample@egencia.com","title":"1","userType":"NORMAL","name":{"familyName":"Test","givenName":"Sample","middleName":"Api"},"active":true,"emails":[{"primary":true,"type":"work","value":"api.sample@egencia.com"}],"groups":[{"value":"General"}],"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User":{"organization":"12345","dateOfBirth":"1988-01-01","userAuthenticationMode":"SSO","singleSignOnId":"api.sample@egencia.com","customDataFields":[{"name":"Department code","value":"Legal entity value"},{"name":"Reporting field 2","value":"custom value"}],"preferences":[{"lob":"AIR","mealType":"178","preferredDepartureAirport":"","seatType":"Window","specialRequest":"Any special request"},{"lob":"RAIL","seatDirection":"Forward","seatRoom":"Lower","seatSolo":true,"seatType":"Window"},{"lob":"HOTEL","smoking":"Smoking","specialRequest":"Any special request"},{"lob":"CAR","specialRequest":"Any special request"}],"documents":[{"expirationDate":"2030-10-10","issueCountry":"USA","issueDate":"2020-10-10","issueLocation":"city","type":"PAS","value":"ABCDE1234"}]}}},"Request with preferences and loyalty program":{"description":"Request with preferences and loyalty program","value":{"schemas":["urn:ietf:params:scim:schemas:core:2.0:User","urn:ietf:params:scim:schemas:extension:enterprise:2.0:User"],"userName":"api.sample@egencia.com","title":"1","userType":"NORMAL","name":{"familyName":"Test","givenName":"Sample","middleName":"Api"},"active":true,"emails":[{"primary":true,"type":"work","value":"api.sample@egencia.com"}],"groups":[{"value":"General"}],"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User":{"organization":"12345","dateOfBirth":"1988-01-01","userAuthenticationMode":"SSO","singleSignOnId":"api.sample@egencia.com","customDataFields":[{"name":"Department code","value":"Legal entity value"},{"name":"Reporting field 2","value":"custom value"}],"preferences":[{"lob":"AIR","mealType":"178","preferredDepartureAirport":"","seatType":"1","specialRequest":"Any special request"},{"lob":"RAIL","seatDirection":"Forward","seatRoom":"Lower","seatSolo":true,"seatType":"Window"},{"lob":"HOTEL","smoking":"Smoking","specialRequest":"Any special request"},{"lob":"CAR","specialRequest":"Any special request"}],"loyaltyPrograms":[{"issuingSupplierCode":"T4","lob":"HOTEL","name":"S-Card","type":"LC","validFrom":"2020-10-10","validTo":"2025-10-10","value":"S12345"}]}}},"Request with roles and approvers":{"description":"Request with roles and approvers","value":{"schemas":["urn:ietf:params:scim:schemas:core:2.0:User","urn:ietf:params:scim:schemas:extension:enterprise:2.0:User"],"userName":"api.sample@egencia.com","title":"1","userType":"NORMAL","name":{"familyName":"Test","givenName":"Sample","middleName":"Api"},"active":true,"emails":[{"primary":true,"type":"work","value":"api.sample@egencia.com"}],"groups":[{"value":"General"}],"roles":[{"display":"Self Booker","value":"SELF_BOOKER"},{"display":"Arranger","value":"ARRANGER"}],"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User":{"organization":"12345","dateOfBirth":"1988-01-01","userAuthenticationMode":"SSO","singleSignOnId":"api.sample@egencia.com","customDataFields":[{"name":"Department code","value":"Legal entity value"},{"name":"Reporting field 2","value":"custom value"}],"approvers":{"level1Approvers":["approverone@egencia.com"],"level2Approvers":["approvertwo@egencia.com"]}}}}},"schema":{"$ref":"#/components/schemas/UserSchema"}}},"description":"User Schema to be updated","required":true},"responses":{"200":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:schemas:core:2.0:User","urn:ietf:params:scim:schemas:extension:enterprise:2.0:User"],"externalId":"externalSystemIdentifier","userName":"test@example.com","displayName":"Test User","title":"Mr","userType":"NORMAL","name":{"familyName":"User","formatted":"","givenName":"Test","middleName":""},"preferredLanguage":"en","active":true,"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User":{"userAuthenticationMode":"SSO","customDataFields":[{"name":"Primary cost center","value":"Test cost center"}],"dateOfBirth":"1988-01-01","documents":[{"expirationDate":"2030-10-10","issueCountry":"USA","issueDate":"2020-10-10","issueLocation":"city","type":"PAS","value":"ABCDE1234"}],"employeeNumber":"employeeNumberValue","loyaltyPrograms":[{"issuingSupplierCode":"T4","lob":"HOTEL","name":"S-Card","type":"LC","validFrom":"2020-10-10","validTo":"2025-10-10","value":"S12345"}],"organization":"egenciaCompanyId","preferences":[{"lob":"AIR","mealType":"178","preferredDepartureAirport":"","seatType":"1","specialRequest":"Any special request"},{"lob":"RAIL","seatDirection":"Forward","seatRoom":"Lower","seatSolo":true,"seatType":"1"},{"lob":"HOTEL","smoking":"Smoking","specialRequest":"Any special request"},{"lob":"CAR","specialRequest":"Any special request"}],"settings":{"notifications":{"reservationEmail":"validReservationEmailValue"}},"promoMail":true,"serviceLevelIds":["12345"],"approvers":{"level1Approvers":["45678"],"delegateApprovers":["testapprover"]},"arrangers":[{"id":"56789"}]},"emails":[{"primary":true,"type":"WORK","value":"test@example.com"}],"phoneNumbers":[{"primary":true,"type":"WORK","value":"+44-1234512345"}],"addresses":[{"country":"GB","formatted":"address line 1, cityname, state, GB, XXXXXX","locality":"city name","postalCode":"XXXXX","region":"region or state","streetAddress":"address line 1","type":"WORK"}],"groups":[{"display":"displayName","value":"travelerGroup"}],"roles":[{"display":"Self Booker","primary":true,"value":"Self Booker"}]}}},"description":"<b>Updated</b>."},"400":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"Invalid parameters","status":"400"}}},"description":"<b>Bad Request</b> : Invalid input or request"},"401":{"content":{"application/scim+json":{"example":{"error":{"code":"EGE-ER-4001","message":"Unauthorised access, you do not have sufficient permissions to perform this action."}}}},"description":"<b>Unauthorized</b> : <i>Authentication token</i> empty, invalid or expired."},"403":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"Unauthorised access, you do not have sufficient permissions to perform this action. Contact your admin.","status":"403"}}},"description":"<b>Forbidden</b> : User not Validated for operation."},"422":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"Invalid or missing parameters encountered, we are unable to process your request.","status":"422","data":[{"attribute":"userName","message":"userName needs to be specified and cannot be empty or null"}]}}},"description":"<b>Invalid input</b> : Invalid or missing required input."},"500":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"Your request could not be completed due to some error. Please try again later.","status":"500","data":[{"attribute":"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User.loyaltyPrograms","message":"Error occurred while processing loyalty program associations."}]}}},"description":"<b>Internal Server Error</b> : Unable to process request."},"503":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"We are unable to process your request right now. Please try again later.","status":"503","data":[]}}},"description":"<b>Service unavailable</b> : Unable to process request at the moment."}},"security":[{"OAuth2":[]}],"summary":"Updates an existing user in the system with the requested information.","tags":["SCIM User Sync V1"]}},"/scim/v2/Users":{"get":{"description":"<p>Search/retrieve users based on the filter string parameter. Please be cautious if you are using organization token, search API will only return users of parent company if company is not provided in the filter criteria.</p>\n<div>\n<p>Results are returned in ascending order of userIds.</p>\n<p><b>Note: We only support search by email, name, userName and singleSignOnId. Since filter attribute contains special characters like square brackets, clients need to encode the filter attribute value.</b></p>\n<pre>\n    <code>\n        For search by email with value as test@egencia.com, you need to pass encoded value in filter which will be :\n        filter = emails%5Bvalue%20eq%20%22test%40egencia.com%22%5D\n        which is the encoded value for filter = emails[value eq \"test@egencia.com\"]\n    </code>\n</pre>\n","operationId":"getUsers_1","parameters":[{"description":"SCIM compliant filter attribute to take query string. If you are using any external tool to make the API call, please make sure to encode the filter value.","examples":{"Search Users By Company":{"description":"Replace {companyId} by the egencia company Id you want to search.","value":"urn:ietf:params:scim:schemas:extension:egencia:2.0:User[companyId eq \"{companyId}\"]"},"Search Users By Email":{"description":"Replace {email} by the email you want to search.","value":"emails[value eq \"{email}\"]"},"Search Users By Email and Company":{"description":"Replace {email} by the email and {companyId} by the egencia company Id you want to search.","value":"emails[value eq \"{email}\"] and urn:ietf:params:scim:schemas:extension:egencia:2.0:User[companyId eq \"{companyId}\"]"},"Search Users By Name":{"description":"Replace {givenName} by the first name of the user and {familyName} by the last name of the user you want to search.","value":"name[givenName eq \"{givenName}\" and familyName eq \"{familyName}\"]"},"Search Users By Name and Company":{"description":"Replace {givenName} by the first name of the user, {familyName} by the last name of the user and {companyId} by the egencia company Id you want to search.","value":"name[givenName eq \"{givenName}\" and familyName eq \"{familyName}\"] and urn:ietf:params:scim:schemas:extension:egencia:2.0:User[companyId eq \"{companyId}\"]"},"Search Users By No Filter":{"description":"No need to pass anything in filter."},"Search Users By Single Sign On Id":{"description":"Replace {singleSignOnId} by the single sing on Id you want to search.","value":"urn:ietf:params:scim:schemas:extension:egencia:2.0:User:singleSignOnId eq \"{singleSignOnId}\""},"Search Users By Single Sign On Id and Company":{"description":"Replace {singleSignOnId} by the single sign on Id and {companyId} by the egencia company Id you want to search.","value":"urn:ietf:params:scim:schemas:extension:egencia:2.0:User:singleSignOnId eq \"{singleSignOnId}\" and urn:ietf:params:scim:schemas:extension:egencia:2.0:User:companyId eq \"{companyId}\""},"Search Users By Username":{"description":"Replace {userName} by the username you want to search.","value":"userName eq \"{userName}\""},"Search Users By Username and Company":{"description":"Replace {userName} by the username and {companyId} by the egencia company Id you want to search.","value":"userName eq \"{userName}\" and urn:ietf:params:scim:schemas:extension:egencia:2.0:User[companyId eq \"{companyId}\"]"}},"in":"query","name":"filter","required":false,"schema":{"type":"string"}},{"description":"1-based start index","in":"query","name":"startIndex","required":false,"schema":{"type":"integer","format":"int32","default":1,"exclusiveMinimum":0}},{"description":"Number of resources to be returned. Maximum supported value is 100","in":"query","name":"count","required":false,"schema":{"type":"integer","format":"int32","default":20,"exclusiveMinimum":0,"maximum":100}}],"responses":{"200":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:ListResponse"],"itemsPerPage":1,"startIndex":1,"totalResults":1,"Resources":[{"schemas":["urn:ietf:params:scim:schemas:core:2.0:User","urn:ietf:params:scim:schemas:extension:egencia:2.0:User","urn:ietf:params:scim:schemas:extension:enterprise:2.0:User"],"meta":{"created":"2024-07-17T00:00:00.000Z","lastModified":"2024-07-17T00:00:00.000Z","location":"{baseUrl}/openconnect/api/scim/v2/Users/12345"},"id":"egenciaUniqueIdentifier","externalId":"externalSystemIdentifier","userName":"test@example.com","name":{"familyName":"User","formatted":"","givenName":"Test","middleName":"","honorificPrefix":"Mr."},"userType":"NORMAL","preferredLanguage":"en","active":true,"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User":{"employeeNumber":"testEmployeeNumberValue"},"urn:ietf:params:scim:schemas:extension:egencia:2.0:User":{"approvers":{"level1Approvers":[{"id":"4567"}],"level2Approvers":[{"id":"4567"}],"delegateApprovers":[{"id":"123"}]},"arrangerGroups":["arrangerGroup1"],"arrangers":[{"id":"5678"},{"userName":"testarranger1"}],"companyId":"egenciaCompanyId","customDataFields":[{"name":"Primary cost center","value":"Test cost center"}],"dateOfBirth":"1989-01-01","documents":[{"expirationDate":"2031-10-10","issueCountry":"US","issueDate":"2020-10-10","issueLocation":"city","type":"PAS","value":"ABCDE1234"}],"loyaltyPrograms":[{"issuingSupplierCode":"T4","lob":"HOTEL","name":"S-Card","type":"LC","validFrom":"2021-10-10","validTo":"2025-10-10","value":"S12345"}],"preferences":[{"lob":"AIR","mealType":"178","preferredDepartureAirport":"","seatType":"1","specialRequest":"Any special requests"},{"lob":"RAIL","seatDirection":"Forward","seatRoom":"Lower","seatSolo":true,"seatType":"1"},{"lob":"HOTEL","smoking":"Smoking","specialRequest":"Any special requests"},{"lob":"CAR","specialRequest":"Any special requests"}],"serviceLevelIds":["12345"],"settings":{"notifications":{"reservationEmail":"validReservationEmailValue"}},"singleSignOnId":"singleSignOnIdValue","userAuthenticationMode":"SSO"},"emails":[{"primary":true,"type":"WORK","value":"test@abc.com"}],"phoneNumbers":[{"primary":true,"type":"WORK","value":"+44-1234512345"}],"addresses":[{"country":"GB","formatted":"address line 1, cityname, state, GB, 123212","locality":"city name","postalCode":"123212","region":"region or state","streetAddress":"address line 1","type":"WORK"}],"groups":[{"display":"displayName","value":"travelerGroup"}],"roles":["SELF_BOOKER"]}]}}},"description":"<b>Search api success</b>."},"400":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"Invalid parameters","status":"400"}}},"description":"<b>Bad Request</b> : Invalid input or request"},"401":{"content":{"application/scim+json":{"example":{"error":{"code":"EGE-ER-4001","message":"Unauthorised access, you do not have sufficient permissions to perform this action."}}}},"description":"<b>Unauthorized</b> : <i>Authentication token</i> empty, invalid or expired."},"403":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"Unauthorised access, you do not have sufficient permissions to perform this action. Contact your admin.","status":"403"}}},"description":"<b>Forbidden</b> : User not Validated for operation."},"422":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"Invalid or missing parameters encountered, we are unable to process your request.","status":"422","data":[{"attribute":"userName","message":"userName needs to be specified and cannot be empty or null"}]}}},"description":"<b>Invalid input</b> : Invalid or missing required input."},"500":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"Your request could not be completed due to some error. Please try again later.","status":"500","data":[{"attribute":"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User.loyaltyPrograms","message":"Error occurred while processing loyalty program associations."}]}}},"description":"<b>Internal Server Error</b> : Unable to process request."},"503":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"We are unable to process your request right now. Please try again later.","status":"503","data":[]}}},"description":"<b>Service unavailable</b> : Unable to process request at the moment."}},"security":[{"OAuth2":[]}],"summary":"Return list of users based on the filter condition.","tags":["SCIM User Sync V2"]},"post":{"operationId":"createUser_1","requestBody":{"content":{"application/json":{"examples":{"Create user with basic and extension attributes":{"description":"Create user with basic and extension attributes","value":{"schemas":["urn:ietf:params:scim:schemas:core:2.0:User","urn:ietf:params:scim:schemas:extension:egencia:2.0:User","urn:ietf:params:scim:schemas:extension:enterprise:2.0:User"],"userName":"test@egencia.com","name":{"familyName":"User","givenName":"Test","middleName":"I","formatted":"Test I User","honorificPrefix":"Mr."},"userType":"NORMAL","preferredLanguage":"en","active":true,"emails":[{"type":"WORK","value":"test@egencia.com","primary":true}],"phoneNumbers":[{"type":"MOBILE","value":"+14254204087"}],"addresses":[{"type":"HOME","streetAddress":"1415 140TH AVE NE APT 15","locality":"Bellevue","region":"WA","postalCode":"98005","country":"US","formatted":"1415 140TH AVE NE APT 15"}],"groups":[{"value":"General"}],"roles":["SELF_BOOKER"],"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User":{"employeeNumber":"testEmployeeNumberValue"}}},"Create user with basic attributes":{"description":"Create user with basic attributes","value":{"schemas":["urn:ietf:params:scim:schemas:core:2.0:User","urn:ietf:params:scim:schemas:extension:egencia:2.0:User","urn:ietf:params:scim:schemas:extension:enterprise:2.0:User"],"userName":"test@egencia.com","name":{"familyName":"User","givenName":"Test","middleName":"I","formatted":"Test I User","honorificPrefix":"Mr."},"userType":"NORMAL","preferredLanguage":"en","active":true,"emails":[{"type":"WORK","value":"test@egencia.com","primary":true}],"phoneNumbers":[{"type":"MOBILE","value":"+14254204087"}],"addresses":[{"type":"HOME","streetAddress":"1415 140TH AVE NE APT 15","locality":"Bellevue","region":"WA","postalCode":"98005","country":"US","formatted":"1415 140TH AVE NE APT 15"}],"groups":[{"value":"General"}],"roles":["SELF_BOOKER"]}},"Create user with basic, extension and egencia extension attributes":{"description":"Create user with basic, extension and egencia extension attributes","value":{"schemas":["urn:ietf:params:scim:schemas:core:2.0:User","urn:ietf:params:scim:schemas:extension:egencia:2.0:User","urn:ietf:params:scim:schemas:extension:enterprise:2.0:User"],"userName":"test@egencia.com","name":{"familyName":"User","givenName":"Test","middleName":"I","formatted":"Test I User","honorificPrefix":"Mr."},"userType":"NORMAL","preferredLanguage":"en","active":true,"emails":[{"type":"WORK","value":"test@egencia.com","primary":true}],"phoneNumbers":[{"type":"MOBILE","value":"+14254204087"}],"addresses":[{"type":"HOME","streetAddress":"1415 140TH AVE NE APT 15","locality":"Bellevue","region":"WA","postalCode":"98005","country":"US","formatted":"1415 140TH AVE NE APT 15"}],"groups":[{"value":"General"}],"roles":["SELF_BOOKER"],"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User":{"employeeNumber":"testEmployeeNumberValue"},"urn:ietf:params:scim:schemas:extension:egencia:2.0:User":{"approvers":{"level1Approvers":[{"userName":"approverone@egencia.com"}],"level2Approvers":[{"userName":"approvertwo@egencia.com"}],"delegateApprovers":[{"userName":"approver@egencia.com"}]},"arrangerGroups":["arrangerGroup1"],"arrangers":[{"id":"56789"}],"companyId":"egenciaCompanyId","customDataFields":[{"name":"Cdf Name","value":"Cdf Value"}],"dateOfBirth":"1988-01-01","documents":[{"expirationDate":"2030-10-10","issueCountry":"US","issueDate":"2020-10-10","issueLocation":"city","type":"PAS","value":"ABCDE1234"}],"loyaltyPrograms":[{"issuingSupplierCode":"T4","lob":"HOTEL","name":"S-Card","type":"LC","validFrom":"2020-10-10","validTo":"2025-10-10","value":"S12345"}],"preferences":[{"lob":"AIR","mealType":"178","preferredDepartureAirport":"","seatType":"1","specialRequest":"Any special request"},{"lob":"RAIL","seatDirection":"Forward","seatRoom":"Lower","seatSolo":true,"seatType":"1"},{"lob":"HOTEL","smoking":"Smoking","specialRequest":"Any special request"},{"lob":"CAR","specialRequest":"Any special request"}],"serviceLevelIds":["123"],"settings":{"notifications":{"reservationEmail":"validReservationEmailValue"}},"singleSignOnId":"api.sample@egencia.com","userAuthenticationMode":"SSO"}}},"Create user with minimal attributes":{"description":"Create user with minimal attributes","value":{"schemas":["urn:ietf:params:scim:schemas:core:2.0:User","urn:ietf:params:scim:schemas:extension:egencia:2.0:User","urn:ietf:params:scim:schemas:extension:enterprise:2.0:User"],"userName":"test@egencia.com","name":{"familyName":"User","givenName":"Test","middleName":""},"userType":"NORMAL","active":true,"emails":[{"type":"WORK","value":"test@egencia.com","primary":true}],"addresses":[{"type":"HOME","streetAddress":"1415 140TH AVE NE APT 15","locality":"Bellevue","region":"WA","postalCode":"98005","country":"US","formatted":"1415 140TH AVE NE APT 15"}]}}},"schema":{"$ref":"#/components/schemas/UserSchemaV2"}},"application/scim+json":{"examples":{"Create user with basic and extension attributes":{"description":"Create user with basic and extension attributes","value":{"schemas":["urn:ietf:params:scim:schemas:core:2.0:User","urn:ietf:params:scim:schemas:extension:egencia:2.0:User","urn:ietf:params:scim:schemas:extension:enterprise:2.0:User"],"userName":"test@egencia.com","name":{"familyName":"User","givenName":"Test","middleName":"I","formatted":"Test I User","honorificPrefix":"Mr."},"userType":"NORMAL","preferredLanguage":"en","active":true,"emails":[{"type":"WORK","value":"test@egencia.com","primary":true}],"phoneNumbers":[{"type":"MOBILE","value":"+14254204087"}],"addresses":[{"type":"HOME","streetAddress":"1415 140TH AVE NE APT 15","locality":"Bellevue","region":"WA","postalCode":"98005","country":"US","formatted":"1415 140TH AVE NE APT 15"}],"groups":[{"value":"General"}],"roles":["SELF_BOOKER"],"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User":{"employeeNumber":"testEmployeeNumberValue"}}},"Create user with basic attributes":{"description":"Create user with basic attributes","value":{"schemas":["urn:ietf:params:scim:schemas:core:2.0:User","urn:ietf:params:scim:schemas:extension:egencia:2.0:User","urn:ietf:params:scim:schemas:extension:enterprise:2.0:User"],"userName":"test@egencia.com","name":{"familyName":"User","givenName":"Test","middleName":"I","formatted":"Test I User","honorificPrefix":"Mr."},"userType":"NORMAL","preferredLanguage":"en","active":true,"emails":[{"type":"WORK","value":"test@egencia.com","primary":true}],"phoneNumbers":[{"type":"MOBILE","value":"+14254204087"}],"addresses":[{"type":"HOME","streetAddress":"1415 140TH AVE NE APT 15","locality":"Bellevue","region":"WA","postalCode":"98005","country":"US","formatted":"1415 140TH AVE NE APT 15"}],"groups":[{"value":"General"}],"roles":["SELF_BOOKER"]}},"Create user with basic, extension and egencia extension attributes":{"description":"Create user with basic, extension and egencia extension attributes","value":{"schemas":["urn:ietf:params:scim:schemas:core:2.0:User","urn:ietf:params:scim:schemas:extension:egencia:2.0:User","urn:ietf:params:scim:schemas:extension:enterprise:2.0:User"],"userName":"test@egencia.com","name":{"familyName":"User","givenName":"Test","middleName":"I","formatted":"Test I User","honorificPrefix":"Mr."},"userType":"NORMAL","preferredLanguage":"en","active":true,"emails":[{"type":"WORK","value":"test@egencia.com","primary":true}],"phoneNumbers":[{"type":"MOBILE","value":"+14254204087"}],"addresses":[{"type":"HOME","streetAddress":"1415 140TH AVE NE APT 15","locality":"Bellevue","region":"WA","postalCode":"98005","country":"US","formatted":"1415 140TH AVE NE APT 15"}],"groups":[{"value":"General"}],"roles":["SELF_BOOKER"],"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User":{"employeeNumber":"testEmployeeNumberValue"},"urn:ietf:params:scim:schemas:extension:egencia:2.0:User":{"approvers":{"level1Approvers":[{"userName":"approverone@egencia.com"}],"level2Approvers":[{"userName":"approvertwo@egencia.com"}],"delegateApprovers":[{"userName":"approver@egencia.com"}]},"arrangerGroups":["arrangerGroup1"],"arrangers":[{"id":"56789"}],"companyId":"egenciaCompanyId","customDataFields":[{"name":"Cdf Name","value":"Cdf Value"}],"dateOfBirth":"1988-01-01","documents":[{"expirationDate":"2030-10-10","issueCountry":"US","issueDate":"2020-10-10","issueLocation":"city","type":"PAS","value":"ABCDE1234"}],"loyaltyPrograms":[{"issuingSupplierCode":"T4","lob":"HOTEL","name":"S-Card","type":"LC","validFrom":"2020-10-10","validTo":"2025-10-10","value":"S12345"}],"preferences":[{"lob":"AIR","mealType":"178","preferredDepartureAirport":"","seatType":"1","specialRequest":"Any special request"},{"lob":"RAIL","seatDirection":"Forward","seatRoom":"Lower","seatSolo":true,"seatType":"1"},{"lob":"HOTEL","smoking":"Smoking","specialRequest":"Any special request"},{"lob":"CAR","specialRequest":"Any special request"}],"serviceLevelIds":["123"],"settings":{"notifications":{"reservationEmail":"validReservationEmailValue"}},"singleSignOnId":"api.sample@egencia.com","userAuthenticationMode":"SSO"}}},"Create user with minimal attributes":{"description":"Create user with minimal attributes","value":{"schemas":["urn:ietf:params:scim:schemas:core:2.0:User","urn:ietf:params:scim:schemas:extension:egencia:2.0:User","urn:ietf:params:scim:schemas:extension:enterprise:2.0:User"],"userName":"test@egencia.com","name":{"familyName":"User","givenName":"Test","middleName":""},"userType":"NORMAL","active":true,"emails":[{"type":"WORK","value":"test@egencia.com","primary":true}],"addresses":[{"type":"HOME","streetAddress":"1415 140TH AVE NE APT 15","locality":"Bellevue","region":"WA","postalCode":"98005","country":"US","formatted":"1415 140TH AVE NE APT 15"}]}}},"schema":{"$ref":"#/components/schemas/UserSchemaV2"}}},"description":"User Schema to be created","required":true},"responses":{"201":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:schemas:core:2.0:User","urn:ietf:params:scim:schemas:extension:egencia:2.0:User","urn:ietf:params:scim:schemas:extension:enterprise:2.0:User"],"meta":{"created":"2024-07-17T00:00:00.000Z","lastModified":"2024-07-17T00:00:00.000Z","location":"{baseUrl}/openconnect/api/scim/v2/Users/egenciaUniqueIdentifier"},"id":"egenciaUniqueIdentifier","userName":"test@egencia.com","name":{"familyName":"User","givenName":"Test","middleName":"I","formatted":"Test I User","honorificPrefix":"Mr."},"userType":"NORMAL","preferredLanguage":"en","active":true,"emails":[{"type":"WORK","value":"test@egencia.com","primary":true}],"phoneNumbers":[{"type":"MOBILE","value":"+14254204087"}],"addresses":[{"type":"HOME","streetAddress":"1415 140TH AVE NE APT 15","locality":"Bellevue","region":"WA","postalCode":"98005","country":"US","formatted":"1415 140TH AVE NE APT 15"}],"groups":[{"value":"General"}],"roles":["SELF_BOOKER"],"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User":{"employeeNumber":"testEmployeeNumberValue"},"urn:ietf:params:scim:schemas:extension:egencia:2.0:User":{"approvers":{"level1Approvers":[{"userName":"approverone@egencia.com"}],"level2Approvers":[{"userName":"approvertwo@egencia.com"}],"delegateApprovers":[{"userName":"approver@egencia.com"}]},"arrangerGroups":["arrangerGroup1"],"arrangers":[{"id":"56789"}],"companyId":"egenciaCompanyId","customDataFields":[{"name":"Cdf Name","value":"Cdf Value"}],"dateOfBirth":"1988-01-01","documents":[{"expirationDate":"2030-10-10","issueCountry":"US","issueDate":"2020-10-10","issueLocation":"city","type":"PAS","value":"ABCDE1234"}],"loyaltyPrograms":[{"issuingSupplierCode":"T4","lob":"HOTEL","name":"S-Card","type":"LC","validFrom":"2020-10-10","validTo":"2025-10-10","value":"S12345"}],"preferences":[{"lob":"AIR","mealType":"178","preferredDepartureAirport":"","seatType":"1","specialRequest":"Any special request"},{"lob":"RAIL","seatDirection":"Forward","seatRoom":"Lower","seatSolo":true,"seatType":"1"},{"lob":"HOTEL","smoking":"Smoking","specialRequest":"Any special request"},{"lob":"CAR","specialRequest":"Any special request"}],"serviceLevelIds":["123"],"settings":{"notifications":{"reservationEmail":"validReservationEmailValue"}},"singleSignOnId":"api.sample@egencia.com","userAuthenticationMode":"SSO"}}}},"description":"<b>Created</b>."},"400":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"Invalid parameters","status":"400"}}},"description":"<b>Bad Request</b> : Invalid input or request"},"401":{"content":{"application/scim+json":{"example":{"error":{"code":"EGE-ER-4001","message":"Unauthorised access, you do not have sufficient permissions to perform this action."}}}},"description":"<b>Unauthorized</b> : <i>Authentication token</i> empty, invalid or expired."},"403":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"Unauthorised access, you do not have sufficient permissions to perform this action. Contact your admin.","status":"403"}}},"description":"<b>Forbidden</b> : User not Validated for operation."},"409":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"Invalid or missing parameters encountered, we are unable to process your request.","status":"409","data":[{"attribute":"userName","message":"Username already exists."}]}}},"description":"<b>Conflict</b> : User already exists."},"422":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"Invalid or missing parameters encountered, we are unable to process your request.","status":"422","data":[{"attribute":"userName","message":"userName needs to be specified and cannot be empty or null"}]}}},"description":"<b>Invalid input</b> : Invalid or missing required input."},"500":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"Your request could not be completed due to some error. Please try again later.","status":"500","data":[{"attribute":"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User.loyaltyPrograms","message":"Error occurred while processing loyalty program associations."}]}}},"description":"<b>Internal Server Error</b> : Unable to process request."},"503":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"We are unable to process your request right now. Please try again later.","status":"503","data":[]}}},"description":"<b>Service unavailable</b> : Unable to process request at the moment."}},"security":[{"OAuth2":[]}],"summary":"Create a new user in the system with the requested information.","tags":["SCIM User Sync V2"]}},"/scim/v2/Users/{userId}":{"delete":{"description":"<p>Delete the user with the given user Id in the path</p>\n<p><b>Request Parameters</b></p>\n<div>\n    <table>\n        <thead>\n        <tr>\n            <th>\n                Attribute\n            </th>\n            <th>\n                Type\n            </th>\n            <th>\n                Description\n            </th>\n        </tr>\n        </thead>\n        <tbody>\n        <tr>\n            <td>userId</td>\n            <td>String</td>\n            <td>User Id of the user to be deleted</td>\n        </tr>\n        </tbody>\n    </table>\n</div>\n<p><b>Examples:</b></p>\n<p>Replace {baseUrl} with the actual value of Egencia APIs host. Please refer Base Urls section under API Overview page of Egencia Developer Center.</p>\n<p>Deleting a user with user Id : test_user_id</p>\n<pre>\n    <code>\n        DELETE {baseUrl}/openconnect/api/scim/v2/Users/test_user_id\n        <b>Response:</b>\n            -> 204 No Content\n   </code>\n</pre>\n","operationId":"deleteUserUser_1","parameters":[{"description":"User Id of the user to be deleted","in":"path","name":"userId","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"<b>No Content</b>."},"401":{"content":{"application/scim+json":{"example":{"error":{"code":"EGE-ER-4001","message":"Unauthorised access, you do not have sufficient permissions to perform this action."}}}},"description":"<b>Unauthorized</b> : <i>Authentication token</i> empty, invalid or expired."},"403":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"Unauthorised access, you do not have sufficient permissions to perform this action. Contact your admin.","status":"403"}}},"description":"<b>Forbidden</b> : User not Validated for operation."},"404":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"User not found, you are trying to access an invalid or non existent user.","status":"404","data":[{"attribute":"id","message":"Requested user identifier is invalid."}]}}},"description":"<b>Not Found</b> : Resource Not Found."},"422":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"We are unable to process the request due to missing mandatory or invalid parameters.","status":"422","data":[{"attribute":"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User.documents","message":"One or more invalid user documents are supplied."},{"attribute":"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User.preferences","message":"One or more invalid user preferences are supplied."}]}}},"description":"<b>Invalid input</b> : Invalid or missing required input."},"500":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"Your request could not be completed due to some error. Please try again later.","status":"500","data":[{"attribute":"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User.loyaltyPrograms","message":"Error occurred while processing loyalty program associations."}]}}},"description":"<b>Internal Server Error</b> : Unable to process request."},"503":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"We are unable to process your request right now. Please try again later.","status":"503","data":[]}}},"description":"<b>Service unavailable</b> : Unable to process request at the moment."}},"security":[{"OAuth2":[]}],"summary":"Delete the user in the system with the given user Id.","tags":["SCIM User Sync V2"]},"get":{"operationId":"getUser_1","parameters":[{"description":"Id of the user to be retrieved","in":"path","name":"userId","required":true,"schema":{"type":"string"}},{"in":"query","name":"attributes","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:schemas:core:2.0:User","urn:ietf:params:scim:schemas:extension:egencia:2.0:User","urn:ietf:params:scim:schemas:extension:enterprise:2.0:User"],"meta":{"created":"2024-07-17T00:00:00.000Z","lastModified":"2024-07-17T00:00:00.000Z","location":"{baseUrl}/openconnect/api/scim/v2/Users/12345"},"id":"egenciaUniqueIdentifier","externalId":"externalSystemIdentifier","userName":"test@example.com","name":{"familyName":"User","formatted":"","givenName":"Test","middleName":"","honorificPrefix":"Mr."},"userType":"NORMAL","preferredLanguage":"en","active":true,"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User":{"employeeNumber":"employeeNumberValue"},"urn:ietf:params:scim:schemas:extension:egencia:2.0:User":{"approvers":{"level1Approvers":[{"id":"45678"}],"level2Approvers":[{"id":"45678"}],"delegateApprovers":[{"id":"123"}]},"arrangerGroups":["arrangerGroup1"],"arrangers":[{"id":"56789"},{"userName":"testarranger"}],"companyId":"egenciaCompanyId","customDataFields":[{"name":"Primary cost center","value":"Test cost center"}],"dateOfBirth":"1988-01-01","documents":[{"expirationDate":"2030-10-10","issueCountry":"US","issueDate":"2020-10-10","issueLocation":"city","type":"PAS","value":"ABCDE1234"}],"loyaltyPrograms":[{"issuingSupplierCode":"T4","lob":"HOTEL","name":"S-Card","type":"LC","validFrom":"2020-10-10","validTo":"2025-10-10","value":"S12345"}],"preferences":[{"lob":"AIR","mealType":"178","preferredDepartureAirport":"","seatType":"1","specialRequest":"Any special request"},{"lob":"RAIL","seatDirection":"Forward","seatRoom":"Lower","seatSolo":true,"seatType":"1"},{"lob":"HOTEL","smoking":"Smoking","specialRequest":"Any special request"},{"lob":"CAR","specialRequest":"Any special request"}],"serviceLevelIds":["12345"],"settings":{"notifications":{"reservationEmail":"validReservationEmailValue"}},"singleSignOnId":"singleSignOnIdValue","userAuthenticationMode":"SSO"},"emails":[{"primary":true,"type":"WORK","value":"test@example.com"}],"phoneNumbers":[{"primary":true,"type":"WORK","value":"+44-1234512345"}],"addresses":[{"country":"GB","formatted":"address line 1, cityname, state, GB, 123212","locality":"city name","postalCode":"123212","region":"region or state","streetAddress":"address line 1","type":"WORK"}],"groups":[{"display":"displayName","value":"travelerGroup"}],"roles":["SELF_BOOKER"]}}},"description":"<b>Found</b>."},"400":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"Invalid parameters","status":"400"}}},"description":"<b>Bad Request</b> : Invalid input or request"},"401":{"content":{"application/scim+json":{"example":{"error":{"code":"EGE-ER-4001","message":"Unauthorised access, you do not have sufficient permissions to perform this action."}}}},"description":"<b>Unauthorized</b> : <i>Authentication token</i> empty, invalid or expired."},"403":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"Unauthorised access, you do not have sufficient permissions to perform this action. Contact your admin.","status":"403"}}},"description":"<b>Forbidden</b> : User not Validated for operation."},"404":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"User not found, you are trying to access an invalid or non existent user.","status":"404","data":[{"attribute":"id","message":"Requested user identifier is invalid."}]}}},"description":"<b>Not Found</b> : Resource Not Found."},"422":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"Invalid or missing parameters encountered, we are unable to process your request.","status":"422","data":[{"attribute":"userName","message":"userName needs to be specified and cannot be empty or null"}]}}},"description":"<b>Invalid input</b> : Invalid or missing required input."},"500":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"Your request could not be completed due to some error. Please try again later.","status":"500","data":[{"attribute":"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User.loyaltyPrograms","message":"Error occurred while processing loyalty program associations."}]}}},"description":"<b>Internal Server Error</b> : Unable to process request."},"503":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"We are unable to process your request right now. Please try again later.","status":"503","data":[]}}},"description":"<b>Service unavailable</b> : Unable to process request at the moment."}},"security":[{"OAuth2":[]}],"summary":"Retrieves the user details for a requested user identifier.","tags":["SCIM User Sync V2"]},"patch":{"operationId":"patchUser_1","parameters":[{"description":"Id of the user to be updated","in":"path","name":"userId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"examples":{"Request to add a new arranger to the existing arrangers":{"description":"Request to add a new arranger to the existing arrangers","value":{"schemas":["urn:ietf:params:scim:api:messages:2.0:PatchOp"],"Operations":[{"op":"add","path":"urn:ietf:params:scim:schemas:extension:egencia:2.0:User:arrangers","value":[{"id":"id","userName":"api.sample@egencia.com"}]}]}},"Request to add a new custom data field to the existing custom data field list:":{"description":"Request to add a new custom data field to the existing custom data field list:","value":{"schemas":["urn:ietf:params:scim:api:messages:2.0:PatchOp"],"Operations":[{"op":"add","path":"urn:ietf:params:scim:schemas:extension:egencia:2.0:User:customDataFields","value":[{"name":"CDF label","value":"CDF value"}]}]}},"Request to add a new level 1 approver to the existing level1Approvers list":{"description":"Request to add a new level 1 approver to the existing level1Approvers list","value":{"schemas":["urn:ietf:params:scim:api:messages:2.0:PatchOp"],"Operations":[{"op":"add","path":"urn:ietf:params:scim:schemas:extension:egencia:2.0:User:approvers.level1Approvers","value":[{"userName":"api.sample@egencia.com"}]}]}},"Request to add a new level 1 as well as level 2 approver to the existing level1Approvers and level2Approvers list":{"description":"Request to add a new level 1 as well as level 2 approver to the existing level1Approvers and level2Approvers list","value":{"schemas":["urn:ietf:params:scim:api:messages:2.0:PatchOp"],"Operations":[{"op":"add","value":{"urn:ietf:params:scim:schemas:extension:egencia:2.0:User":{"approvers":{"level1Approvers":[{"id":"id"}],"level2Approvers":[{"userName":"api.sample@egencia.com"}]}}}}]}},"Request to add a new role to the existing roles":{"description":"Request to add a new role to the existing roles","value":{"schemas":["urn:ietf:params:scim:api:messages:2.0:PatchOp"],"Operations":[{"op":"add","path":"roles","value":["ARRANGER"]}]}},"Request to add/update first name, last name and date of birth":{"description":"Request to add/update first name, last name and date of birth","value":{"schemas":["urn:ietf:params:scim:api:messages:2.0:PatchOp"],"Operations":[{"op":"add","value":{"name":{"givenName":"First Name","familyName":"Last Name"},"urn:ietf:params:scim:schemas:extension:egencia:2.0:User":{"dateOfBirth":"1988-01-26"}}}]}},"Request to add/update status of user":{"description":"Request to add/update status of user","value":{"schemas":["urn:ietf:params:scim:api:messages:2.0:PatchOp"],"Operations":[{"op":"replace","value":{"active":false}}]}},"Request to replace traveler group with a new one.":{"description":"Request to replace traveler group with a new one.","value":{"schemas":["urn:ietf:params:scim:api:messages:2.0:PatchOp"],"Operations":[{"op":"replace","path":"groups","value":[{"value":"General"}]}]}},"Request to update WORK type email, username, ssoId, authentication mode":{"description":"Request to update WORK type email, username, ssoId, authentication mode","value":{"schemas":["urn:ietf:params:scim:api:messages:2.0:PatchOp"],"Operations":[{"op":"replace","path":"emails[type eq \"WORK\"].value","value":"api.sample@egencia.com"},{"op":"add","value":{"userName":"api.sample@egencia.com","urn:ietf:params:scim:schemas:extension:egencia:2.0:User":{"singleSignOnId":"api.sample@egencia.com","userAuthenticationMode":"SSO"}}}]}},"Request with multiple patch operations":{"description":"Request with multiple patch operations","value":{"schemas":["urn:ietf:params:scim:api:messages:2.0:PatchOp"],"Operations":[{"op":"add","path":"urn:ietf:params:scim:schemas:extension:egencia:2.0:User:customDataFields","value":[{"name":"ff test","value":"ff test value"},{"name":"Test CDF","value":"Test CDF"}]},{"op":"add","path":"urn:ietf:params:scim:schemas:extension:egencia:2.0:User:companyId","value":"23"},{"op":"add","value":{"userName":"abcd","name":{"givenName":"Abcd"},"urn:ietf:params:scim:schemas:extension:egencia:2.0:User":{"companyId":"23"}}},{"op":"replace","path":"addresses[type eq \"HOME\"].streetAddress","value":"1010 Broadway Ave"},{"op":"replace","path":"addresses[type eq \"HOME\"]","value":{"streetAddress":"911 Universal City Plaza","locality":"Hollywood","region":"CA","postalCode":"91608","country":"USA","formatted":"911 Universal City Plaza\nHollywood, CA 91608 US"}},{"op":"replace","value":{"emails":[{"value":"test@example.com","type":"WORK","primary":true}]}},{"op":"replace","value":{"phoneNumbers":[{"value":"+91-9999999999","type":"HOME","primary":true}]}},{"op":"add","path":"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User:employeeNumber","value":"11111"}]}}},"schema":{"$ref":"#/components/schemas/ScimPatchSchema"}},"application/scim+json":{"examples":{"Request to add a new arranger to the existing arrangers":{"description":"Request to add a new arranger to the existing arrangers","value":{"schemas":["urn:ietf:params:scim:api:messages:2.0:PatchOp"],"Operations":[{"op":"add","path":"urn:ietf:params:scim:schemas:extension:egencia:2.0:User:arrangers","value":[{"id":"id","userName":"api.sample@egencia.com"}]}]}},"Request to add a new custom data field to the existing custom data field list:":{"description":"Request to add a new custom data field to the existing custom data field list:","value":{"schemas":["urn:ietf:params:scim:api:messages:2.0:PatchOp"],"Operations":[{"op":"add","path":"urn:ietf:params:scim:schemas:extension:egencia:2.0:User:customDataFields","value":[{"name":"CDF label","value":"CDF value"}]}]}},"Request to add a new level 1 approver to the existing level1Approvers list":{"description":"Request to add a new level 1 approver to the existing level1Approvers list","value":{"schemas":["urn:ietf:params:scim:api:messages:2.0:PatchOp"],"Operations":[{"op":"add","path":"urn:ietf:params:scim:schemas:extension:egencia:2.0:User:approvers.level1Approvers","value":[{"userName":"api.sample@egencia.com"}]}]}},"Request to add a new level 1 as well as level 2 approver to the existing level1Approvers and level2Approvers list":{"description":"Request to add a new level 1 as well as level 2 approver to the existing level1Approvers and level2Approvers list","value":{"schemas":["urn:ietf:params:scim:api:messages:2.0:PatchOp"],"Operations":[{"op":"add","value":{"urn:ietf:params:scim:schemas:extension:egencia:2.0:User":{"approvers":{"level1Approvers":[{"id":"id"}],"level2Approvers":[{"userName":"api.sample@egencia.com"}]}}}}]}},"Request to add a new role to the existing roles":{"description":"Request to add a new role to the existing roles","value":{"schemas":["urn:ietf:params:scim:api:messages:2.0:PatchOp"],"Operations":[{"op":"add","path":"roles","value":["ARRANGER"]}]}},"Request to add/update first name, last name and date of birth":{"description":"Request to add/update first name, last name and date of birth","value":{"schemas":["urn:ietf:params:scim:api:messages:2.0:PatchOp"],"Operations":[{"op":"add","value":{"name":{"givenName":"First Name","familyName":"Last Name"},"urn:ietf:params:scim:schemas:extension:egencia:2.0:User":{"dateOfBirth":"1988-01-26"}}}]}},"Request to add/update status of user":{"description":"Request to add/update status of user","value":{"schemas":["urn:ietf:params:scim:api:messages:2.0:PatchOp"],"Operations":[{"op":"replace","value":{"active":false}}]}},"Request to replace traveler group with a new one.":{"description":"Request to replace traveler group with a new one.","value":{"schemas":["urn:ietf:params:scim:api:messages:2.0:PatchOp"],"Operations":[{"op":"replace","path":"groups","value":[{"value":"General"}]}]}},"Request to update WORK type email, username, ssoId, authentication mode":{"description":"Request to update WORK type email, username, ssoId, authentication mode","value":{"schemas":["urn:ietf:params:scim:api:messages:2.0:PatchOp"],"Operations":[{"op":"replace","path":"emails[type eq \"WORK\"].value","value":"api.sample@egencia.com"},{"op":"add","value":{"userName":"api.sample@egencia.com","urn:ietf:params:scim:schemas:extension:egencia:2.0:User":{"singleSignOnId":"api.sample@egencia.com","userAuthenticationMode":"SSO"}}}]}},"Request with multiple patch operations":{"description":"Request with multiple patch operations","value":{"schemas":["urn:ietf:params:scim:api:messages:2.0:PatchOp"],"Operations":[{"op":"add","path":"urn:ietf:params:scim:schemas:extension:egencia:2.0:User:customDataFields","value":[{"name":"ff test","value":"ff test value"},{"name":"Test CDF","value":"Test CDF"}]},{"op":"add","path":"urn:ietf:params:scim:schemas:extension:egencia:2.0:User:companyId","value":"23"},{"op":"add","value":{"userName":"abcd","name":{"givenName":"Abcd"},"urn:ietf:params:scim:schemas:extension:egencia:2.0:User":{"companyId":"23"}}},{"op":"replace","path":"addresses[type eq \"HOME\"].streetAddress","value":"1010 Broadway Ave"},{"op":"replace","path":"addresses[type eq \"HOME\"]","value":{"streetAddress":"911 Universal City Plaza","locality":"Hollywood","region":"CA","postalCode":"91608","country":"USA","formatted":"911 Universal City Plaza\nHollywood, CA 91608 US"}},{"op":"replace","value":{"emails":[{"value":"test@example.com","type":"WORK","primary":true}]}},{"op":"replace","value":{"phoneNumbers":[{"value":"+91-9999999999","type":"HOME","primary":true}]}},{"op":"add","path":"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User:employeeNumber","value":"11111"}]}}},"schema":{"$ref":"#/components/schemas/ScimPatchSchema"}}},"description":"SCIM compliant patch operation schema","required":true},"responses":{"200":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:schemas:core:2.0:User","urn:ietf:params:scim:schemas:extension:egencia:2.0:User","urn:ietf:params:scim:schemas:extension:enterprise:2.0:User"],"meta":{"created":"2024-07-17T00:00:00.000Z","lastModified":"2024-07-17T00:00:00.000Z","location":"{baseUrl}/openconnect/api/scim/v2/Users/12345"},"id":"egenciaUniqueIdentifier","externalId":"externalSystemIdentifier","userName":"test@example.com","name":{"familyName":"User","formatted":"","givenName":"Test","middleName":"","honorificPrefix":"Mr."},"userType":"NORMAL","preferredLanguage":"en","active":true,"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User":{"employeeNumber":"employeeNumberValue"},"urn:ietf:params:scim:schemas:extension:egencia:2.0:User":{"approvers":{"level1Approvers":[{"id":"45678"}],"level2Approvers":[{"id":"45678"}],"delegateApprovers":[{"id":"123"}]},"arrangerGroups":["arrangerGroup1"],"arrangers":[{"id":"56789"},{"userName":"testarranger"}],"companyId":"egenciaCompanyId","customDataFields":[{"name":"Primary cost center","value":"Test cost center"}],"dateOfBirth":"1988-01-01","documents":[{"expirationDate":"2030-10-10","issueCountry":"US","issueDate":"2020-10-10","issueLocation":"city","type":"PAS","value":"ABCDE1234"}],"loyaltyPrograms":[{"issuingSupplierCode":"T4","lob":"HOTEL","name":"S-Card","type":"LC","validFrom":"2020-10-10","validTo":"2025-10-10","value":"S12345"}],"preferences":[{"lob":"AIR","mealType":"178","preferredDepartureAirport":"","seatType":"1","specialRequest":"Any special request"},{"lob":"RAIL","seatDirection":"Forward","seatRoom":"Lower","seatSolo":true,"seatType":"1"},{"lob":"HOTEL","smoking":"Smoking","specialRequest":"Any special request"},{"lob":"CAR","specialRequest":"Any special request"}],"serviceLevelIds":["12345"],"settings":{"notifications":{"reservationEmail":"validReservationEmailValue"}},"singleSignOnId":"singleSignOnIdValue","userAuthenticationMode":"SSO"},"emails":[{"primary":true,"type":"WORK","value":"test@example.com"}],"phoneNumbers":[{"primary":true,"type":"WORK","value":"+44-1234512345"}],"addresses":[{"country":"GB","formatted":"address line 1, cityname, state, GB, 123212","locality":"city name","postalCode":"123212","region":"region or state","streetAddress":"address line 1","type":"WORK"}],"groups":[{"display":"displayName","value":"travelerGroup"}],"roles":["SELF_BOOKER"]}}},"description":"<b>Patch api success</b>"},"400":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"Invalid parameters","status":"400"}}},"description":"<b>Bad Request</b> : Invalid input or request"},"401":{"content":{"application/scim+json":{"example":{"error":{"code":"EGE-ER-4001","message":"Unauthorised access, you do not have sufficient permissions to perform this action."}}}},"description":"<b>Unauthorized</b> : <i>Authentication token</i> empty, invalid or expired."},"403":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"Unauthorised access, you do not have sufficient permissions to perform this action. Contact your admin.","status":"403"}}},"description":"<b>Forbidden</b> : User not Validated for operation."},"404":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"User not found, you are trying to access an invalid or non existent user.","status":"404","data":[{"attribute":"id","message":"Requested user identifier is invalid."}]}}},"description":"<b>Not Found</b> : Resource Not Found."},"422":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"Invalid or missing parameters encountered, we are unable to process your request.","status":"422","data":[{"attribute":"userName","message":"userName needs to be specified and cannot be empty or null"}]}}},"description":"<b>Invalid input</b> : Invalid or missing required input."},"500":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"Your request could not be completed due to some error. Please try again later.","status":"500","data":[{"attribute":"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User.loyaltyPrograms","message":"Error occurred while processing loyalty program associations."}]}}},"description":"<b>Internal Server Error</b> : Unable to process request."},"503":{"content":{"application/scim+json":{"example":{"schemas":["urn:ietf:params:scim:api:messages:2.0:Error"],"detail":"We are unable to process your request right now. Please try again later.","status":"503","data":[]}}},"description":"<b>Service unavailable</b> : Unable to process request at the moment."}},"security":[{"OAuth2":[]}],"summary":"Perform patch operation on the user with the given user Id.","tags":["SCIM User Sync V2"]},"put":{"operationId":"updateUser_1","parameters":[{"description":"Id of the user to be updated","in":"path","name":"userId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"examples":{"Update user with basic and extension attributes":{"description":"Update user with basic and extension attributes","value":{"schemas":["urn:ietf:params:scim:schemas:core:2.0:User","urn:ietf:params:scim:schemas:extension:egencia:2.0:User","urn:ietf:params:scim:schemas:extension:enterprise:2.0:User"],"id":"egenciaUniqueIdentifier","userName":"test@egencia.com","name":{"familyName":"User","givenName":"Test","middleName":"I","formatted":"Test I User","honorificPrefix":"Mr."},"userType":"NORMAL","preferredLanguage":"en","active":true,"emails":[{"type":"WORK","value":"test@egencia.com","primary":true}],"phoneNumbers":[{"type":"MOBILE","value":"+14254204087"}],"addresses":[{"type":"HOME","streetAddress":"1415 140TH AVE NE APT 15","locality":"Bellevue","region":"WA","postalCode":"98005","country":"US","formatted":"1415 140TH AVE NE APT 15"}],"groups":[{"value":"General"}],"roles":["SELF_BOOKER"],"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User":{"employeeNumber":"testEmployeeNumberValue"}}},"Update user with basic attributes":{"description":"Update user with basic attributes","value":{"schemas":["urn:ietf:params:scim:schemas:core:2.0:User","urn:ietf:params:scim:schemas:extension:egencia:2.0:User","urn:ietf:params:scim:schemas:extension:enterprise:2.0:User"],"id":"egenciaUniqueIdentifier","userName":"test@egencia.com","name":{"familyName":"User","givenName":"Test","middleName":"I","formatted":"Test I User","honorificPrefix":"Mr."},"userType":"NORMAL","preferredLanguage":"en","active":true,"emails":[{"type":"WORK","value":"test@egencia.com","primary":true}],"phoneNumbers":[{"type":"MOBILE","value":"+14254204087"}],"addresses":[{"type":"HOME","streetAddress":"1415 140TH AVE NE APT 15","locality":"Bellevue","region"
[...]
